> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact List

> Cria uma nova lista de contatos para uso em agendamentos e broadcasts.



## OpenAPI

````yaml openapi-v2 POST /contact-list/create/{instance}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /contact-list/create/{instance}:
    post:
      tags:
        - Contact List Controller
      summary: Create a contact list
      description: Cria uma nova lista de contatos para uso em agendamentos e broadcasts.
      operationId: createContactList
      parameters:
        - name: instance
          in: path
          required: true
          description: Nome da instância
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Nome da lista
                description:
                  type: string
                contacts:
                  type: array
                  items:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                      pushName:
                        type: string
                    required:
                      - remoteJid
              required:
                - name
      responses:
        '201':
          description: Lista criada com sucesso
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````